<?php
/**
 *
 * @category        modules
 * @package         minislider
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.2.1
 * @lastmodified    October 30, 2017
 *
 */
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once (WB_PATH.'/framework/functions.php');

$res = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minislider WHERE `page_id` = '$page_id' ORDER by `section_id` DESC");
if (!$res || $res->numRows() == 0 ) {
	$res = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minislider  ORDER by `section_id` DESC");
}
if (!$res || $res->numRows() == 0 ) {
	$class = "default";
	$transition = "fade";
} else {
	$settings = $res->fetchRow();
	$class = $settings['class'];
	$transition = ($settings['transition']);
}
$database->query("INSERT INTO ".TABLE_PREFIX."mod_minislider 
		(`page_id`,`section_id`,`texts`,`class`,`transition`) 
		VALUES 
		('$page_id','$section_id','','$class','$transition')");

// Create directories for this gallery
$basedir = WB_PATH.MEDIA_DIRECTORY.'/minislider/';
$pathToFolder = $basedir.$section_id.'/';
make_dir($basedir);
make_dir($pathToFolder);
?>