<?php
/**
 *
 * @category        modules
 * @package         minislider
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.2.1
 * @lastmodified    October 30, 2017
 *
 */
//Used for some default values and internal functions
require_once (WB_PATH.'/framework/functions.php');

$basedir = WB_PATH.MEDIA_DIRECTORY.'/minislider/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/minislider/';


if (!function_exists('_minislider_getImages')) {
	function _minislider_getImages($basedir,$dir) {
		$retval = array();
		$imagetypes = array("image/jpeg", "image/gif");
		if(substr($dir, -1) != "/")  $dir .= "/";
		$fulldir = $basedir.''.$dir;
		$d = @dir($fulldir) or die("getImages: Failed opening directory $fulldir for reading");
		while(false !== ($entry = $d->read())) {
			if($entry[0] == ".") continue;
			if (preg_match('/\.(jpg|jpeg|gif|png)$/', strtolower($entry))) {
				$retval[] = array( "file" => ''.$dir.$entry );
			}
		}
		$d->close();
		asort($retval);
		return $retval;
	}
}

