<?php
/**
 *
 * @category        modules
 * @package         minislider
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.2.1
 * @lastmodified    October 30, 2017
 *
 */
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once ('functions.php');
$get_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minislider WHERE section_id = '$section_id'");
$settings = $get_settings->fetchRow();
$texts = $settings['texts'];
$class = $settings['class'];
$transition = $settings['transition'];
$curdir = $section_id."/";
$images = _minislider_getImages($basedir,$curdir); 
$t = explode("\n",$texts);
if($images) {
	echo "\n".'<div class="slider-wrapper theme-'.$class.'"><div class="ribbon"></div><div id="slider" class="nivoSlider">';
	$i = 0;
	foreach($images as $img) { 
		$text = isset($t[$i])? trim($t[$i]):'';
		echo '    <img src="'.$baseurl.$curdir.basename($img['file']).'" data-transition="'.$transition.'" title="'.htmlspecialchars($text).'" alt="" />'; 
		$i++;
	} 
	echo '</div></div>'; 
}
